CheckDomainVerification
POST
/auth/v1/memberships/{org_id}/domain/verifyPath Parameters
org_id*org_id
The org_id path parameter.
Query Parameters
user_id?user_id
The user_id query parameter.
Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/auth.v1.DomainResponse",
"$ref-value": {
"type": "object",
"properties": {
"present": {
"type": "boolean",
"title": "present"
},
"id": {
"type": "string",
"title": "id"
},
"domain": {
"type": "string",
"title": "domain"
},
"status": {
"allOf": [
{
"$ref": "#/components/schemas/auth.v1.DomainStatus",
"$ref-value": {
"type": "object",
"anyOf": [
{
"type": "object",
"properties": {
"pending": {
"allOf": [
{
"$ref": "#/components/schemas/auth.v1.PendingDomain",
"$ref-value": {
"type": "object",
"properties": {
"verification_token": {
"type": "string",
"title": "verification_token"
},
"expires_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"title": "expires_at"
}
},
"title": "PendingDomain",
"additionalProperties": false
}
}
],
"title": "pending"
}
},
"title": "pending"
},
{
"type": "object",
"properties": {
"verified": {
"allOf": [
{
"$ref": "#/components/schemas/auth.v1.VerifiedDomain",
"$ref-value": {
"type": "object",
"properties": {
"verified_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"title": "verified_at"
}
},
"title": "VerifiedDomain",
"additionalProperties": false
}
}
],
"title": "verified"
}
},
"title": "verified"
}
],
"unevaluatedProperties": false,
"not": {
"allOf": [
{
"anyOf": [
{
"required": [
"pending"
]
},
{
"required": [
"verified"
]
}
]
},
{
"not": {
"oneOf": [
{
"required": [
"pending"
]
},
{
"required": [
"verified"
]
}
]
}
}
]
},
"properties": {
"auto_join": {
"type": "boolean",
"title": "auto_join"
}
},
"title": "DomainStatus"
}
}
],
"title": "status"
}
},
"title": "DomainResponse",
"additionalProperties": false
}
}curl -X POST "https://api.rixl.com/auth/v1/memberships/string/domain/verify"Success
application/json
{
"$ref": "#/components/schemas/auth.v1.DomainResponse",
"$ref-value": {
"type": "object",
"properties": {
"present": {
"type": "boolean",
"title": "present"
},
"id": {
"type": "string",
"title": "id"
},
"domain": {
"type": "string",
"title": "domain"
},
"status": {
"allOf": [
{
"$ref": "#/components/schemas/auth.v1.DomainStatus",
"$ref-value": {
"type": "object",
"anyOf": [
{
"type": "object",
"properties": {
"pending": {
"allOf": [
{
"$ref": "#/components/schemas/auth.v1.PendingDomain",
"$ref-value": {
"type": "object",
"properties": {
"verification_token": {
"type": "string",
"title": "verification_token"
},
"expires_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"title": "expires_at"
}
},
"title": "PendingDomain",
"additionalProperties": false
}
}
],
"title": "pending"
}
},
"title": "pending"
},
{
"type": "object",
"properties": {
"verified": {
"allOf": [
{
"$ref": "#/components/schemas/auth.v1.VerifiedDomain",
"$ref-value": {
"type": "object",
"properties": {
"verified_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"title": "verified_at"
}
},
"title": "VerifiedDomain",
"additionalProperties": false
}
}
],
"title": "verified"
}
},
"title": "verified"
}
],
"unevaluatedProperties": false,
"not": {
"allOf": [
{
"anyOf": [
{
"required": [
"pending"
]
},
{
"required": [
"verified"
]
}
]
},
{
"not": {
"oneOf": [
{
"required": [
"pending"
]
},
{
"required": [
"verified"
]
}
]
}
}
]
},
"properties": {
"auto_join": {
"type": "boolean",
"title": "auto_join"
}
},
"title": "DomainStatus"
}
}
],
"title": "status"
}
},
"title": "DomainResponse",
"additionalProperties": false
}
}